kooperberg {limma} | R Documentation

## Kooperberg Model-Based Background Correction

### Description

This function uses a Bayesian model to background correct GenePix microarray data.

### Usage

    kooperberg(RG, a=TRUE, layout=RG$printer, verbose=TRUE)

### Arguments

`RG` | an RGList of GenePix data, read in using `read.maimages`, with `other.columns=c("F635 SD","B635 SD","F532 SD","B532 SD","B532 Mean","B635 Mean","F Pixels","B Pixels")`.
`a` | logical. If `TRUE`, the 'a' parameters in the model (equation 3 and 4) are estimated for each slide. If `FALSE` the 'a' parameters are set to unity.
`layout` | list containing print layout with components `ngrid.r`, `ngrid.c`, `nspot.r` and `nspot.c`. Defaults to `RG$printer`.
`verbose` | logical. If `TRUE`, progress is reported to standard output.

### Details

This function is for use with GenePix data and is designed to cope with the problem of large numbers of negative intensities and hence missing values on the log-intensity scale. It avoids missing values in most cases and at the same time dampens down the variability of log-ratios for low intensity spots. See Kooperberg et al (2002) for more details.

`kooperberg` uses the foreground and background intensities, standard deviations and number of pixels to compute empirical estimates of the model parameters as described in equation 2 of Kooperberg et al (2002).

### Value

An `RGList` containing the components

`R` | matrix containing the background adjusted intensities for the red channel for each spot for each array
`G` | matrix containing the background adjusted intensities for the green channel for each spot for each array
`printer` | list containing print layout

### Author(s)

Matthew Ritchie

### References

Kooperberg, C., Fazzio, T. G., Delrow, J. J., and Tsukiyama, T. (2002) Improved background correction for spotted DNA microarrays. Journal of Computational Biology 9, 55-66.

### See Also

04.Background gives an overview of background correction functions defined in the LIMMA package.

### Examples

    #  This is example code for reading and background correcting GenePix data
    #  given GenePix Results (gpr) files in the working directory (data not
    #  provided).
    ## Not run:
    genepixFiles <- dir(pattern="*\\.gpr$") # get the names of the GenePix image analysis output files in the current directory
    RG <- read.maimages(genepixFiles, source="genepix", other.columns=c("F635 SD","B635 SD","F532 SD","B532 SD","B532 Mean","B635 Mean","F Pixels","B Pixels"))
    RGmodel <- kooperberg(RG)
    MA <- normalizeWithinArrays(RGmodel)
    ## End(Not run)

[Package limma version 2.16.5 Index]